Get CHScore Summary For Group

Break a single account's Cyber Hygiene Score down by device group.

This method returns the hygiene score, hostnames, IP addresses, local score, global score, family, and OS per group.

Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.cvem import CvemClient

client = CvemClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response=client.CyberHygiene.getScoreSummaryForGroup(
    account_name="Default"
)

print(response)
client.close()

Requires Python 3.9 or later.

Body Params
string
required

Name of the account for which the CHScore summary is requested.

family
array of strings

List of operating system families to filter.

family
devices
array of strings

List of device hostnames to filter.

devices
group
array of strings

List of OS groups to filter.

group
os
array of strings

List of operating systems to filter.

os
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json